#include <iostream>
using namespace std;
int main()
{
    int n, k;
    cin>>n>>k;
    int a[n], b[2*n+1], c[n], p=0;
    for(int i=0; i<2*n+1; i++)
        b[i]=0;
    for(int i=0; i<n; i++){
        cin>>a[i];
        b[a[i]+n]++;
    }
    for(int i=0; i<2*n+1; i++){
        if(b[i]>=k){
            c[p]=i-n;
            p++;
        }
    }
    cout<<p<<"\n";
    for(int i=0; i<p; i++)
        cout<<c[i]<<" ";
    return 0;
}